Detokenizer.DetokenizationOperation (Apache OpenNLP :: API 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.tokenize, interface: Detokenizer, enum: DetokenizationOperation

Package opennlp.tools.tokenize

# Enum Class Detokenizer.DetokenizationOperation

java.lang.Object
java.lang.Enum<Detokenizer.DetokenizationOperation>
opennlp.tools.tokenize.Detokenizer.DetokenizationOperation

All Implemented Interfaces:
  `Serializable`, `Comparable<Detokenizer.DetokenizationOperation>`, `Constable`

Enclosing interface:
  `Detokenizer`

public static enum Detokenizer.DetokenizationOperation extends Enum<Detokenizer.DetokenizationOperation>
This enum contains an operation for every token to merge the tokens together to their detokenized form.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MERGE_BOTH`
  The current token should be attached to the string on the left side, as well as to the start token on the right side.
  `MERGE_TO_LEFT`
  The current token should be attached to the string on the left side.
  `MERGE_TO_RIGHT`
  The current token should be attached to the start token on the right side.
  `NO_OPERATION`
  Do not perform a merge operation for this token, but is possible that another token can be attached to the left or right side of this one.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Detokenizer.DetokenizationOperation`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Detokenizer.DetokenizationOperation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MERGE_TO_RIGHT

    public static final Detokenizer.DetokenizationOperation MERGE_TO_RIGHT
    The current token should be attached to the start token on the right side.

  - ### MERGE_TO_LEFT

    public static final Detokenizer.DetokenizationOperation MERGE_TO_LEFT
    The current token should be attached to the string on the left side.

  - ### MERGE_BOTH

    public static final Detokenizer.DetokenizationOperation MERGE_BOTH
    The current token should be attached to the string on the left side, as well as to the start token on the right side.

  - ### NO_OPERATION

    public static final Detokenizer.DetokenizationOperation NO_OPERATION
    Do not perform a merge operation for this token, but is possible that another token can be attached to the left or right side of this one.

- ## Method Details

  - ### values

    public static Detokenizer.DetokenizationOperation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Detokenizer.DetokenizationOperation valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null